# Record Class Selectors.AttributeBeginHyphen

java.lang.Object
java.lang.Record
org.eclipse.e4.ui.css.core.impl.engine.selector.Selectors.AttributeBeginHyphen

All Implemented Interfaces:
  `Selectors.Selector`

Enclosing class:
  `Selectors`

public static record Selectors.AttributeBeginHyphen(String name, String value) extends Record implements Selectors.Selector
`[attr|='value']` — matches when `attr` equals `value` or starts with `value-`.

## Constructor Summary

Constructors
Constructor
Description
`AttributeBeginHyphen(String name, String value)`
Creates an instance of a `AttributeBeginHyphen` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`String`
`name()`
Returns the value of the `name` record component.
`int`
`specificity()`
CSS specificity contribution of this selector.
`String`
`text()`
Best-effort textual reproduction of the selector.
`String`
`toString()`
Returns a string representation of this record class.
`String`
`value()`
Returns the value of the `value` record component.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AttributeBeginHyphen

public AttributeBeginHyphen(String name, String value)
Creates an instance of a `AttributeBeginHyphen` record class.

Parameters:
  `name` - the value for the `name` record component
  `value` - the value for the `value` record component

## Method Details

### specificity

public int specificity()
Description copied from interface: `Selectors.Selector`
CSS specificity contribution of this selector.

Specified by:
  `specificity` in interface `Selectors.Selector`

### text

public String text()
Description copied from interface: `Selectors.Selector`
Best-effort textual reproduction of the selector.

Specified by:
  `text` in interface `Selectors.Selector`

### toString

public String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### name

public String name()
Returns the value of the `name` record component.

Returns:
  the value of the `name` record component

### value

public String value()
Returns the value of the `value` record component.

Returns:
  the value of the `value` record component